Bug 1014985 - Missing permissions link at /neworks/network-id/vnicprofiles url
Missing permissions link at /neworks/network-id/vnicprofiles url
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.3.0
Unspecified Unspecified
high Severity medium
: ---
: 3.3.0
Assigned To: Moti Asayag
Martin Pavlik
network
:
Depends On:
Blocks: 1019461 3.3snap2
  Show dependency treegraph
 
Reported: 2013-10-03 05:23 EDT by Ondra Machacek
Modified: 2016-02-10 14:53 EST (History)
8 users (show)

See Also:
Fixed In Version: is23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20410 None None None Never
oVirt gerrit 20776 None None None Never

  None (edit)
Description Ondra Machacek 2013-10-03 05:23:32 EDT
Description of problem:
There is missing permissions link for vnic profile under 
/neworks/network-id/vnicprofiles url

Version-Release number of selected component (if applicable):
is17

How reproducible:
always

Steps to Reproduce:
1. Check for permissions at /neworks/network-id/vnicprofiles url

Actual results:
Permission link missing

Expected results:
Permission link is not missing

Additional info:
Comment 1 Ondra Machacek 2013-10-03 05:35:30 EDT
Missing also for /neworks/network-id/vnicprofiles/vnicprofile-id
Comment 2 Martin Pavlik 2013-11-14 05:09:39 EST
works in Red Hat Enterprise Virtualization Manager Version: 3.3.0-0.33.beta1.el6ev 

<vnic_profiles><vnic_profile href="/api/vnicprofiles/2425ddf5-d0ba-4b61-be90-c188f6b7048a" id="2425ddf5-d0ba-4b61-be90-c188f6b7048a"><name>NET1</name><link href="/api/vnicprofiles/2425ddf5-d0ba-4b61-be90-c188f6b7048a/permissions" rel="permissions"/><network href="/api/networks/a991f38f-59e0-4dc3-837f-551cdb736ab0" id="a991f38f-59e0-4dc3-837f-551cdb736ab0"/><port_mirroring>false</port_mirroring></vnic_profile></vnic_profiles>
Comment 3 Itamar Heim 2014-01-21 17:32:35 EST
Closing - RHEV 3.3 Released
Comment 4 Itamar Heim 2014-01-21 17:32:40 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.